import AddressPicker from './components/AddressPicker.vue';
import Stepper from './components/Stepper.vue';
import {$VaguePhone, $RemoveLastChar, $RemoveItem, $RemoveLastItem, $QuoteCDN} from './utils/commonUtils';
const components = [
  AddressPicker,
  Stepper
];
const install = Vue => {
  components.forEach(Component => {
    Vue.component(Component.name, Component);
  });
};
/* istanbul ignore if */
if (typeof window !== 'undefined' && window.Vue) {
  install(window.Vue);
}
export {
  AddressPicker,
  Stepper,
  $VaguePhone,
  $RemoveLastChar,
  $RemoveItem,
  $RemoveLastItem,
  $QuoteCDN
};
