/**
 * Created by Heath on 2019/9/27.
 */
const $VaguePhone = phone => {
  return phone.replace(/(\d{3})\d{4}(\d{4})/, '$1****$2');
};
const $RemoveLastChar = val => {
  return val.substring(0, val.length - 1);
};
const $RemoveItem = (list, start, end) => {
  let newList = [];
  try {
    list.forEach((val, index) => {
      if (index <= start || index > end) {
        newList.push(val);
      }
    });
  } catch (e) {
    console.error(e);
  }
  return newList;
};
const $RemoveLastItem = (list) => {
  let newList = [];
  try {
    list.forEach((val, index) => {
      if (index < list.length - 1) {
        newList.push(val);
      }
    });
  } catch (e) {
    console.error(e);
  }
  return newList;
};
const $QuoteCDN = (src,back) => {
  const scriptEle = document.createElement('script');
  scriptEle.type = 'text/javascript';
  scriptEle.src = src;
  document.head.appendChild(scriptEle);
  scriptEle.onload = function() {
    back();
  }
};
export {
  $VaguePhone, $RemoveLastChar, $RemoveItem, $RemoveLastItem, $QuoteCDN
};
/* eslint-enable */
